## org.eclipse.emf.spi.cdo
Class AbstractObjectConflictResolver.ThreeWayMerge.ChangeSubscriptionAdapter

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.spi.cdo.AbstractObjectConflictResolver.ThreeWayMerge.ChangeSubscriptionAdapter

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal

Enclosing class:
  AbstractObjectConflictResolver.ThreeWayMerge

    public static class AbstractObjectConflictResolver.ThreeWayMerge.ChangeSubscriptionAdapter

extends org.eclipse.emf.common.notify.impl.AdapterImpl

Since:
  2.0

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Constructor Summary
`AbstractObjectConflictResolver.ThreeWayMerge.ChangeSubscriptionAdapter()`

Method Summary
`void` `attach(CDOObject notifier)`
`java.util.Map<CDOObject,java.util.List<CDORevisionDelta>>` `getDeltas()`
`java.util.Set<CDOObject>` `getNotifiers()`
`java.util.List<CDORevisionDelta>` `getRevisionDeltas(CDOObject notifier)`
`void` `notifyChanged(org.eclipse.emf.common.notify.Notification msg)`
`void` `reset()`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget, isAdapterForType, setTarget, unsetTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractObjectConflictResolver.ThreeWayMerge.ChangeSubscriptionAdapter

    public AbstractObjectConflictResolver.ThreeWayMerge.ChangeSubscriptionAdapter()

Method Detail

### getRevisionDeltas

    public java.util.List<CDORevisionDelta> getRevisionDeltas(CDOObject notifier)

### getNotifiers

    public java.util.Set<CDOObject> getNotifiers()

### getDeltas

    public java.util.Map<CDOObject,java.util.List<CDORevisionDelta>> getDeltas()

### attach

    public void attach(CDOObject notifier)

### reset

    public void reset()

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification msg)

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `org.eclipse.emf.common.notify.impl.AdapterImpl`

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.